<?php

global $wpdb;


$table_name = $wpdb->prefix . "js_lib_loader";
$libraries = $wpdb->get_results("SELECT * FROM $table_name", ARRAY_A);

?>
<div class="wrap">
<h2>Javascript Libraries Loader</h2>

<div class="js-lib-form">
    <form action="<?php echo get_option('siteurl'); ?>/wp-content/plugins/js-lib-loader/js-lib-save-changes.php" method="post">
        <table>
            <th>Status</th>
            <tr>
                <td>The library loader is currently: </td>
                <td>
                    <select name="lib_active">
                        <option value="on" <?php if (get_option('js_lib_loader_active') == "active") {echo "selected='selected'";} ?>>On</option>
                        <option value="off" <?php if (get_option('js_lib_loader_active') == "inactive") {echo "selected='selected'";} ?>>Off</option>
                    </select>
                </td>
            <tr>
                
            <tr>
                <td>The selected scripts will load: </td>
                <td>
                    <select name="script_placement">
                        <option value="top" <?php if (get_option('js_lib_loader_placement') == "top") {echo "selected='selected'";} ?>>At the top</option>
                        <option value="bottom" <?php if (get_option('js_lib_loader_placement') == "bottom") {echo "selected='selected'";} ?>>At the bottom</option>
                    </select>
                </td>
            <tr>
            
            <tr></tr>
            
            
            <?php          
            foreach ($libraries as $library) {
            
            ?>
            
            <tr>
                <td><?php echo $library['lib_name']; ?></td>
                <td><input <?php if ($library['lib_active'] == "1") {echo "checked='checked'";} ?> type="checkbox" value="true" name="name_<?php echo $library['id']; ?>" /></td>
            
            
            </tr>

<?php } ?>

        <tr>
            <td><input type="submit" name="submit_js_lib" value="Save changes" /></td>
        </tr>

        </table>
    </form>

<?php

if ($_GET['msg'] && $_GET['msg'] == "saved") {
    echo "<h3>Saved!</h3>";
}

?>



</div>